Subject: bug#74400: closed (Re: bug#74400: 31.0.50; tramp-loaddefs.elc suddenly owned by root)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 18 Nov 2024 12:50:02 +0000

Your bug report

#74400: 31.0.50; tramp-loaddefs.elc suddenly owned by root

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
74400: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74400
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#74400: 31.0.50; tramp-loaddefs.elc suddenly owned by root
From: Eli Zaretskii <[email-masked]>
To: Michael Albinus <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 18 Nov 2024 14:49:27 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Michael Albinus <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Mon, 18 Nov 2024 09:37:51 +0100
> 
> Michael Heerdegen <[email-masked]> writes:
> 
> Hi Michael,
> 
> >> I try to recover everything I can find in my memory.
> >
> > No idea to be honest.  Let's not waste time and assume I made nonsense.
> > I can reopen in case it comes back.
> 
> Wait, I could reproduce the problem:
> 
> --8<---------------cut here---------------start------------->8---
> # rm lisp/net/tramp-loaddefs.elc
> # sudo make install
> # ll lisp/net/*loaddefs*
> -rw-rw----+ 1 albinus albinus 110234 Nov 17 17:37 lisp/net/tramp-loaddefs.el
> -rw-r--r--+ 1 root    root    122088 Nov 18 09:27 lisp/net/tramp-loaddefs.elc
> --8<---------------cut here---------------end--------------->8---

But note that here the time stamps of the two files are very diferent,
which seems to indicate that tramp-loaddefs.el was somehow
byte-compiled as part of "make install".  Whereas in the OP, we saw a
different picture:

|  /home/micha/software/emacs/lisp/net:
|  drwxr-xr-x  2 micha micha 4,0K Nov 16 17:03 .
|  drwxr-xr-x 28 micha micha  20K Nov 16 17:03 ..
|  [...]
|  -rw-rw-r--  1 micha micha 108K Nov 15 17:01 tramp-loaddefs.el
|  -rw-r--r--  1 root  root  120K Nov 15 17:01 tramp-loaddefs.elc

Look, ma: same time stamp.  Which seems to indicate they were both
produced at the same time, so probably by the same command.

Subject: 31.0.50; tramp-loaddefs.elc suddenly owned by root
From: Michael Heerdegen <[email-masked]>
To: [email-masked]
Date: Sun, 17 Nov 2024 17:17:37 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello to everybody,

one of my last make + make-install calls in the last couple of days
again made a file in my home directory being owned by root:

|  /home/micha/software/emacs/lisp/net:
|  drwxr-xr-x  2 micha micha 4,0K Nov 16 17:03 .
|  drwxr-xr-x 28 micha micha  20K Nov 16 17:03 ..
|  [...]
|  -rw-rw-r--  1 micha micha 108K Nov 15 17:01 tramp-loaddefs.el
|  -rw-r--r--  1 root  root  120K Nov 15 17:01 tramp-loaddefs.elc

Does that ring a bell (Michael maybe)?  Can we maybe prevent this?

TIA,

Michael

In GNU Emacs 31.0.50 (build 24, x86_64-pc-linux-gnu, cairo version
 1.16.0) of 2024-11-16 built on drachen
Repository revision: 88c6b20cf609cb0b53d1a8ea9db0c35ba77fadb9
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101007
System Description: Debian GNU/Linux 12 (bookworm)